Summary:	A library to check account numbers and bank codes of German banks
Summary(pl.UTF-8):	Biblioteka do sprawdzania numerów kont i kodów bankowych niemieckich banków
Name:		ktoblzcheck
Version:	1.45
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
# Source0-md5:	80719a2920a40c6a01fa2a70ecc23e48
URL:		http://ktoblzcheck.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KtoBLZCheck is a library to check account numbers and bank codes of
German banks.

Both a library for other programs as well as a short command-line tool
is available. It is possible to check pairs of account numbers and
bank codes (BLZ) of German banks, and to map bank codes (BLZ) to the
clear-text name and location of the bank.

%description -l pl.UTF-8
KtoBLZCheck to biblioteka do sprawdzania numerów kont i kodów
bankowych niemieckich banków.

Dostępna jest zarówno biblioteka jak i proste narzędzie działające z
linii poleceń. Pozwalają na sprawdzenie par numerów kont i kodów
bankowych (BLZ) niemieckich banków oraz na zamianę kodów bankowych
(BLZ) na tekstową nazwę oraz lokalizację banku.

%package devel
Summary:	Header files for KtoBLZCheck library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for KtoBLZCheck library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki KtoBLZCheck.

%package static
Summary:	Static KtoBLZCheck library
Summary(pl.UTF-8):	Statyczna biblioteka KtoBLZCheck
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static KtoBLZCheck library.

%description static -l pl.UTF-8
Statyczna biblioteka KtoBLZCheck.

%package -n python-ktoblzcheck
Summary:	Python binding for KtoBLZCheck library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki KtoBLZCheck
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
# for python-ctypes (>= 1:2.5 already forced by BR + _eq below)
%pyrequires_eq	python-modules

%description -n python-ktoblzcheck
Python binding for KtoBLZCheck library.

%description -n python-ktoblzcheck -l pl.UTF-8
Wiązanie Pythona dla biblioteki KtoBLZCheck.

%prep
%setup -q

%build
%configure \
	--enable-python \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ktoblzcheck
%attr(755,root,root) %{_libdir}/libktoblzcheck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libktoblzcheck.so.1
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%attr(755,root,root) %{_datadir}/%{name}/*.pl
%{_mandir}/man1/ktoblzcheck.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktoblzcheck.so
%{_libdir}/libktoblzcheck.la
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck.h
%{_pkgconfigdir}/ktoblzcheck.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libktoblzcheck.a

%files -n python-ktoblzcheck
%defattr(644,root,root,755)
%{py_sitescriptdir}/ktoblzcheck.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ktoblzcheck.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 97e7401
- release 3 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> cc8c387
- release 2 (by relup.sh)

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> fd83ac0
- updated to 1.45

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 94b2517
- updated to 1.43

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> d35090e
- updated to 1.42

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 3599cd6
- updated to 1.41

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 0899899
- updated to 1.40

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> a3b00da
- updated to 1.39

* Tue Apr 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 0a852ec
- updated to 1.38

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> f8febbc
- updated to 1.37

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> aea7690
- updated to 1.36

* Thu Sep 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 5114b5c
- updated to 1.35

* Fri Jun 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 75fa686
- updated to 1.33
- removed obsolete soname patch

* Sat May 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 98f8a94
- updated to 1.32
- added soname patch (revert accidental soname decrease)

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 1d040bc
- Up to 1.31

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> d1e18bf
- updated to 1.29

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 3b886ea
- Up to 1.28

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0733ee8
- release 2

* Mon Aug 03 2009 Artur Frysiak <artur@frysiak.net> c65d6c3
- updated to 1.23

* Sun Oct 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a4b1bd
- up to 1.19

